#include "file.hh"
#include "error.hh"

void open_file(ifstream & in, const string & file, int mode = ios::in) {
  in.open(file.c_str(), mode);
  if (in.rdstate() & ios::badbit )
    throw ae_cant_read(file, 0);
}

string add_possible_dir(const string & dir, const string & file) {
  if (file.size() && file[0] == '/' || (file[0] == '.' 
					&& file.size() > 1
					&& file[1] == '/'))
    return file;
  else
    return dir + "/" + file;
}

